| Home | Libraries | People | FAQ | More

###### value::value (34 of 35 overloads)

Construct an `object`.

###### Synopsis

    value(
        object_kind_t,
        storage_ptr sp = {});

###### Description

This is the fastest way to construct an empty object, using the specified memory resource. The variable `object_kind` may be passed as the first parameter to select this overload:

###### Example

    // Construct an empty object

    value jv( object_kind );

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`sp` | A pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource.

###### See Also

`object_kind`